## Name

smbmnt — helper utility for mounting SMB filesystems

## Synopsis

`smbmnt` {mount-point} [-s <share>] [-r] [-u <uid>] [-g <gid>] [-f <mask>] [-d <mask>] [-o <options>] [-h]

## DESCRIPTION

`smbmnt` is a helper application used by the smbmount program to do the actual mounting of SMB shares. `smbmnt` can be installed setuid root if you want normal users to be able to mount their SMB shares.

A setuid smbmnt will only allow mounts on directories owned by the user, and that the user has write permission on.

The `smbmnt` program is normally invoked by smbmount(8). It should not be invoked directly by users.

smbmount searches the normal PATH for smbmnt. You must ensure that the smbmnt version in your path matches the smbmount used.

## OPTIONS

-r

  mount the filesystem read-only

-u uid

  specify the uid that the files will be owned by

-g gid

  specify the gid that the files will be owned by

-f mask

  specify the octal file mask applied

-d mask

  specify the octal directory mask applied

-o options

  list of options that are passed as-is to smbfs, if this command is run on a 2.4 or higher Linux kernel.

-h|--help

  Print a summary of command line options.

## AUTHOR

Volker Lendecke, Andrew Tridgell, Michael H. Warfield and others.

The current maintainer of smbfs and the userspace tools `smbmount`, `smbumount`, and `smbmnt` is Urban Widmark. The SAMBA Mailing list is the preferred place to ask questions regarding these programs.

The conversion of this manpage for Samba 2.2 was performed by Gerald Carter. The conversion to DocBook XML 4.2 for Samba 3.0 was done by Alexander Bokovoy.